Bug 1211269 - testsuite failure: rlAssertBinaryOrigin returns 0 on existing alternative command owned by the packages
Summary: testsuite failure: rlAssertBinaryOrigin returns 0 on existing alternative com...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: beakerlib
Version: 23
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Ales Zelinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-13 13:27 UTC by Ales Zelinka
Modified: 2015-12-08 08:45 UTC (History)
6 users (show)

Fixed In Version: beakerlib-1.11-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 08:45:05 UTC


Attachments (Terms of Use)

Description Ales Zelinka 2015-04-13 13:27:25 UTC
./test.sh rpmsTest.sh 

 [ INFO ] Testing rpms
 [ INFO ] Running test_rlAssertRpm
 ...
 [ FAIL ] rlAssertBinaryOrigin returns 0 on existing alternative command owned by the packages
...
 [ FAIL ] Testing rpms finished: 58 passed, 1 failed, 0 skipped
 [ INFO ] Measurement: System: 5.059 seconds; User: 22.764 seconds
 [ INFO ]         Was: System: 4.123 seconds; User: 17.830 seconds

 [ INFO ] rpmsTest.sh performance: System: 5.059 seconds; User: 22.764 seconds
 [ INFO ] rpmsTest.sh   Was:       System: 4.123 seconds; User: 17.830 seconds
 [ FAIL ] Total summary: 58 passed, 1 failed, 0 skipped

Comment 1 Ales Zelinka 2015-04-13 17:08:33 UTC
Test broken by https://bugzilla.redhat.com/show_bug.cgi?id=971347#c12 (it supplied NVR but rlAssertBinaryOrigin expects just N).

Fixed in https://git.fedorahosted.org/cgit/beakerlib.git/commit/?h=devel&id=0c4b3e05f7231e9b1769f27ca200de4f0edbe10b

Comment 2 Jan Kurik 2015-07-15 14:17:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Fedora Update System 2015-11-03 12:41:46 UTC
beakerlib-1.11-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f36ff57e84

Comment 4 Fedora Update System 2015-11-03 18:21:04 UTC
beakerlib-1.11-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4c96e73472

Comment 5 Fedora Update System 2015-11-03 18:56:30 UTC
beakerlib-1.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ba802d1bd6

Comment 6 Fedora Update System 2015-11-03 19:52:34 UTC
beakerlib-1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7ab9feeb42

Comment 7 Fedora Update System 2015-11-03 21:50:22 UTC
beakerlib-1.11-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0e03df1475

Comment 8 Fedora Update System 2015-11-05 17:19:29 UTC
beakerlib-1.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8f65d5290a

Comment 9 Fedora Update System 2015-11-05 20:18:24 UTC
beakerlib-1.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f36ff57e84

Comment 10 Fedora Update System 2015-11-17 15:52:07 UTC
beakerlib-1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-11-17 18:23:59 UTC
beakerlib-1.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-11-19 16:50:15 UTC
beakerlib-1.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-11-20 23:25:03 UTC
beakerlib-1.11-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-11-21 14:26:17 UTC
beakerlib-1.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-11-21 20:30:10 UTC
beakerlib-1.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.